#ifndef DS_AUTOGEN_INCLUDED
#define DS_AUTOGEN_INCLUDED

#define DS_TEXT_DIR_LINE_FILENAME_WIDE \
	"%-15s"
#define DS_TEXT_ERROR_OUT_OF_MEMORY \
	" Out of memory error"
#define DS_TEXT_ERROR_FILE_NOT_FOUND \
	"File not found\n"
#define DS_TEXT_INVALID_SWITCH \
	"Invalid switch - "
#define DS_TEXT_DIR_HDR_VOLUME \
	"\n Volume in drive %c "
#define DS_TEXT_DIR_HDR_VOLUME_STRING \
	"is %-11s\n"
#define DS_TEXT_DIR_HDR_VOLUME_NONE \
	"has no label\n"
#define DS_TEXT_DIR_HDR_SERIAL_NUMBER \
	" Volume Serial Number is %04X-%04X\n"
#define DS_TEXT_DIR_FTR_FILES \
	"%10s file(s)"
#define DS_TEXT_DIR_FTR_BYTES \
	"   %12s bytes\n"
#define DS_TEXT_DIR_FTR_TOTAL_NUMBER \
	"Total files listed:\n"
#define DS_TEXT_DIR_FTR_DIRS \
	"%10s dir(s)"
#define DS_TEXT_DIR_FTR_BYTES_FREE \
	" %15s bytes free\n"
#define DS_TEXT_DIR_FTR_MBS_FREE \
	" %15s MB free\n"
#define DS_TEXT_DIR_FTR_BYTES_TOTAL \
	"                  %15s bytes total disk space, "
#define DS_TEXT_DIR_FTR_MBS_TOTAL \
	"                  %15s MB total disk space, "
#define DS_TEXT_DIR_FTR_IN_USE \
	"%4s in use\n"
#define DS_TEXT_DIR_DIRECTORY \
	"Directory of %s\n"
#define DS_TEXT_DIR_DIRECTORY_WITH_SPACE \
	" Directory of %s\n"
#define DS_TEXT_DIR_LINE_FILENAME_BARE \
	"%-13s\n"
#define DS_TEXT_DIR_LINE_FILENAME_SINGLE \
	"%-13s"
#define DS_TEXT_DIR_LINE_FILENAME \
	"%-8s %-3s "
#define DS_TEXT_DIR_LINE_SIZE_DIR \
	"  <DIR>       "
#define DS_TEXT_DIR_LINE_SIZE \
	"   %10s "
#define DS_TEXT_FILE_COMPLATION_DISPLAY \
	"%-14s"
#define DS_TEXT_MSG_PATH \
	"PATH=%s\n"
#define DS_TEXT_MSG_PATH_NONE \
	"No search path defined"
#define DS_TEXT_VERBOSE_HEADER \
	"File Name         Size        Allocated      Modified      Accesse" \
	"d  Attrib\n"
#define DS_TEXT_WEEKDAY_SHORT_NAME_SUNDAY \
	"Sun"
#define DS_TEXT_WEEKDAY_SHORT_NAME_MONDAY \
	"Mon"
#define DS_TEXT_WEEKDAY_SHORT_NAME_TUESDAY \
	"Tue"
#define DS_TEXT_WEEKDAY_SHORT_NAME_WEDNSDAY \
	"Wed"
#define DS_TEXT_WEEKDAY_SHORT_NAME_THURSDAY \
	"Thu"
#define DS_TEXT_WEEKDAY_SHORT_NAME_FRIDAY \
	"Fri"
#define DS_TEXT_WEEKDAY_SHORT_NAME_SATURDAY \
	"Sat"
#define DS_TEXT_CMDHELP_DIR \
	"Displays a list of files and subdirectories in a directory.\n\nDIR" \
	" [drive:][path][filename] [/P] [/W] [/A[[:]attributes]]\n  [/O[[:]" \
	"sortorder]] [/S] [/B] [/L] [/V] [/4]\n\n  [drive:][path][filename]" \
	"\n            Specifies drive, directory, and/or files to list.\n " \
	"           (Could be enhanced file specification or multiple files" \
	"pecs.)\n /P         Pauses after each screenful of information.\n " \
	"/W         Uses wide list format.\n /A         Displays files with" \
	" specified attributes.\n attributes  D  Directories               " \
	" R  Read-only files\n             H  Hidden files               A " \
	" Files ready for archiving\n             S  System files          " \
	"     -  Prefix meaning not\n /O         List by files in sorted or" \
	"der.\n sortorder   N  By name (alphabetic)       S  By size (small" \
	"est first)\n             E  By extension (alphabetic)  D  By date " \
	"& time (earliest first)\n             G  Group directories first  " \
	"  -  Prefix to reverse order\n             A  By Last Access Date " \
	"(earliest first)\n /S         Displays files in specified director" \
	"y and all subdirectories.\n /B         Uses bare format (no headin" \
	"g information or summary).\n /L         Uses lowercase.\n /V      " \
	"   Verbose mode.\n /4         Display 4-digit year.\n\nSwitches ma" \
	"y be preset in the DIRCMD environment variable.  Override\npreset " \
	"switches by prefixing any switch with - (hyphen)--for example, /-W" \
	". \n"
#define DS_TEXT_MSG_PAUSE \
	"Press any key to continue . . . \n"

#endif
